View Issue Details

IDProjectCategoryView StatusLast Update
0008409Talerspecificationpublic2024-03-07 20:47
Reportersebasjm Assigned ToChristian Grothoff  
PrioritynormalSeveritytextReproducibilityhave not tried
Status closedResolutionfixed 
Product Versiongit (master) 
Target Version0.9.4Fixed in Version0.9.4 
Summary0008409: missing spec for template interface
Descriptionmerchant backend, challenger and exchange use mustache for templates

when designing HTML templates it is not clear which object are present

we need:
 1.- a spec defined by the server which defined which objects and values will be present on render
 2.- the spec need to have a version number
 3.- a way to know which template version the binary implements (maybe under taler-exchange-httpd --version)
 4.- section in doc.taler.net and man pages
TagsNo tags attached.

Relationships

related to 0008393 assignedsebasjm form auto-fill does not work 

Activities

Christian Grothoff

2024-02-17 18:28

manager   ~0021330

9376613..af8b4c1 adds documentation for the challenger templates.

Christian Grothoff

2024-02-17 18:30

manager   ~0021331

Note: I don't quite see the need for a "version" number here; this is basically internal to one component *and* if we need to change the interface, the usual answer will be to define a new template (name), not change some "version". But maybe I'm not understanding what you want and why.

Christian Grothoff

2024-02-17 18:31

manager   ~0021332

Oh, and also, I don't exactly see a need for man pages, IMO a chapter in the texinfo is more than enough.

Christian Grothoff

2024-02-17 19:12

manager   ~0021333

af8b4c1..b061229 expands the exchange manual with a section on the templates used by the exchange.

Christian Grothoff

2024-02-17 19:33

manager   ~0021334

b061229..3ec3cb9 documents all MUST templates of the merchant.

Issue History

Date Modified Username Field Change
2024-02-15 13:13 sebasjm New Issue
2024-02-15 13:13 sebasjm Status new => assigned
2024-02-15 13:13 sebasjm Assigned To => Christian Grothoff
2024-02-15 13:14 sebasjm Relationship added related to 0008393
2024-02-16 22:33 Christian Grothoff Target Version 0.10 => 0.11
2024-02-17 18:28 Christian Grothoff Note Added: 0021330
2024-02-17 18:30 Christian Grothoff Note Added: 0021331
2024-02-17 18:31 Christian Grothoff Note Added: 0021332
2024-02-17 19:12 Christian Grothoff Note Added: 0021333
2024-02-17 19:21 Christian Grothoff Severity minor => text
2024-02-17 19:33 Christian Grothoff Note Added: 0021334
2024-02-17 19:33 Christian Grothoff Status assigned => resolved
2024-02-17 19:33 Christian Grothoff Resolution open => fixed
2024-02-17 19:33 Christian Grothoff Fixed in Version => 0.9.4
2024-02-17 19:33 Christian Grothoff Target Version 0.11 => 0.9.4
2024-03-07 20:47 Christian Grothoff Status resolved => closed